package com.bocloud.cmp.model.hmc.sdk.module;

import com.bocloud.cmp.model.hmc.sdk.common.Metadata;

public class IOSlot {
    private String schemaVersion;
    private Metadata metadata;
    private String busGroupingRequired;
    private String description;
    private String iOUnitPhysicalLocation;
    private String pCAdapterID;
    private String pCIClass;
    private String pCIDeviceID;
    private String pCISubsystemDeviceID;
    private String pCIManufacturerID;
    private String pCIRevisionID;
    private String pCIVendorID;
    private String pCISubsystemVendorID;
    private RelatedIBMiIOSlot relatedIBMiIOSlot;
    private RelatedIOAdapter relatedIOAdapter;
    private String slotDynamicReconfigurationConnectorIndex;
    private String slotDynamicReconfigurationConnectorName;
    private String slotPhysicalLocationCode;

    public IOSlot() {
    }

    public Metadata getMetadata() {
        return metadata;
    }

    public void setMetadata(Metadata metadata) {
        this.metadata = metadata;
    }

    public String getBusGroupingRequired() {
        return busGroupingRequired;
    }

    public void setBusGroupingRequired(String busGroupingRequired) {
        this.busGroupingRequired = busGroupingRequired;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getiOUnitPhysicalLocation() {
        return iOUnitPhysicalLocation;
    }

    public void setiOUnitPhysicalLocation(String iOUnitPhysicalLocation) {
        this.iOUnitPhysicalLocation = iOUnitPhysicalLocation;
    }

    public String getpCAdapterID() {
        return pCAdapterID;
    }

    public void setpCAdapterID(String pCAdapterID) {
        this.pCAdapterID = pCAdapterID;
    }

    public String getpCIClass() {
        return pCIClass;
    }

    public void setpCIClass(String pCIClass) {
        this.pCIClass = pCIClass;
    }

    public String getpCIDeviceID() {
        return pCIDeviceID;
    }

    public void setpCIDeviceID(String pCIDeviceID) {
        this.pCIDeviceID = pCIDeviceID;
    }

    public String getpCISubsystemDeviceID() {
        return pCISubsystemDeviceID;
    }

    public void setpCISubsystemDeviceID(String pCISubsystemDeviceID) {
        this.pCISubsystemDeviceID = pCISubsystemDeviceID;
    }

    public String getpCIManufacturerID() {
        return pCIManufacturerID;
    }

    public void setpCIManufacturerID(String pCIManufacturerID) {
        this.pCIManufacturerID = pCIManufacturerID;
    }

    public String getpCIRevisionID() {
        return pCIRevisionID;
    }

    public void setpCIRevisionID(String pCIRevisionID) {
        this.pCIRevisionID = pCIRevisionID;
    }

    public String getpCIVendorID() {
        return pCIVendorID;
    }

    public void setpCIVendorID(String pCIVendorID) {
        this.pCIVendorID = pCIVendorID;
    }

    public String getpCISubsystemVendorID() {
        return pCISubsystemVendorID;
    }

    public void setpCISubsystemVendorID(String pCISubsystemVendorID) {
        this.pCISubsystemVendorID = pCISubsystemVendorID;
    }

    public RelatedIBMiIOSlot getRelatedIBMiIOSlot() {
        return relatedIBMiIOSlot;
    }

    public void setRelatedIBMiIOSlot(RelatedIBMiIOSlot relatedIBMiIOSlot) {
        this.relatedIBMiIOSlot = relatedIBMiIOSlot;
    }

    public RelatedIOAdapter getRelatedIOAdapter() {
        return relatedIOAdapter;
    }

    public void setRelatedIOAdapter(RelatedIOAdapter relatedIOAdapter) {
        this.relatedIOAdapter = relatedIOAdapter;
    }

    public String getSlotDynamicReconfigurationConnectorIndex() {
        return slotDynamicReconfigurationConnectorIndex;
    }

    public void setSlotDynamicReconfigurationConnectorIndex(String slotDynamicReconfigurationConnectorIndex) {
        this.slotDynamicReconfigurationConnectorIndex = slotDynamicReconfigurationConnectorIndex;
    }

    public String getSlotDynamicReconfigurationConnectorName() {
        return slotDynamicReconfigurationConnectorName;
    }

    public void setSlotDynamicReconfigurationConnectorName(String slotDynamicReconfigurationConnectorName) {
        this.slotDynamicReconfigurationConnectorName = slotDynamicReconfigurationConnectorName;
    }

    public String getSlotPhysicalLocationCode() {
        return slotPhysicalLocationCode;
    }

    public void setSlotPhysicalLocationCode(String slotPhysicalLocationCode) {
        this.slotPhysicalLocationCode = slotPhysicalLocationCode;
    }

    @Override
    public String toString() {
        return "IOSlot [metadata=" + metadata + ", busGroupingRequired=" + busGroupingRequired + ", description="
            + description + ", iOUnitPhysicalLocation=" + iOUnitPhysicalLocation + ", pCAdapterID=" + pCAdapterID
            + ", pCIClass=" + pCIClass + ", pCIDeviceID=" + pCIDeviceID + ", pCISubsystemDeviceID="
            + pCISubsystemDeviceID + ", pCIManufacturerID=" + pCIManufacturerID + ", pCIRevisionID=" + pCIRevisionID
            + ", pCIVendorID=" + pCIVendorID + ", pCISubsystemVendorID=" + pCISubsystemVendorID
            + ", relatedIBMiIOSlot=" + relatedIBMiIOSlot + ", relatedIOAdapter=" + relatedIOAdapter
            + ", slotDynamicReconfigurationConnectorIndex=" + slotDynamicReconfigurationConnectorIndex
            + ", slotDynamicReconfigurationConnectorName=" + slotDynamicReconfigurationConnectorName
            + ", slotPhysicalLocationCode=" + slotPhysicalLocationCode + "]";
    }
}
